Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.vlaanderen.mercurius.mohm.schemas.v1
Class DecisionBTCType

    java.lang.Object
      be.vlaanderen.mercurius.mohm.schemas.v1.DecisionBTCType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:07:47+01:00",
               comments="JAXB RI v2.2.11")
    public class DecisionBTCType

extends Object
implements Serializable

Generiek type voor het luik BTC in de beslissing

Java class for DecisionBTCType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DecisionBTCType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="MotivationRefused" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}MotivationType"/>
             <element name="BTCAdjustmentAdvice" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}DecisionBTCAdviceType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`DecisionBTCType()`

Method Summary
`List<DecisionBTCAdviceType>` | `getBTCAdjustmentAdvices()` Gets the value of the btcAdjustmentAdvices property.
`String` | `getMotivationRefused()` Gets the value of the motivationRefused property.
`void` | `setMotivationRefused(String value)` Sets the value of the motivationRefused property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DecisionBTCType

    public DecisionBTCType()

Method Detail

### getMotivationRefused

    public String getMotivationRefused()

  Gets the value of the motivationRefused property.

  Returns:
    possible object is `String`

### setMotivationRefused

    public void setMotivationRefused(String value)

  Sets the value of the motivationRefused property.

  Parameters:
    `value` - allowed object is `String`

### getBTCAdjustmentAdvices

    public List<DecisionBTCAdviceType> getBTCAdjustmentAdvices()

  Gets the value of the btcAdjustmentAdvices property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the btcAdjustmentAdvices property.

  For example, to add a new item, do as follows:

          getBTCAdjustmentAdvices().add(newItem);

  Objects of the following type(s) are allowed in the list `DecisionBTCAdviceType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.